/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Universal elements */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: MODALS */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

/* */
/* SECTION: Modal Container */
/* */

.modal-container {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    inset: 0;
    width: 100vw;
    height: 100vh;
    align-items: center;
    justify-content: center;
}

.modal-container[data-modal-id='account'],
.modal-container[data-modal-id='beta'],
.modal-container[data-modal-id='flows'],
.modal-container[data-modal-id='start-map'],
.modal-container[data-modal-id='change-map'],
.modal-container[data-modal-id='marketing'],
.modal-container[data-modal-id='signup-signin'] {
    display: flex;
}

.modal-container span.spacer-vertical {
    margin: 0.5em 0;
    width: 100%;
    display: flex;
}

.modal-container input.email,
.modal-container input.text,
.modal-container textarea.text {
    border: solid 1px var(--gray-100);
}

/* */
/* SECTION: Overlay */
/* */

.modal-container .overlay {
    display: none;
    position: fixed;
    inset: 0;
    background-color: rgba(9, 30, 66, 0.35);
}

.modal-container .overlay::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
}

.modal-container[data-modal-id='account'] .overlay,
.modal-container[data-modal-id='beta'] .overlay,
.modal-container[data-modal-id='flows'] .overlay,
.modal-container[data-modal-id='start-map'] .overlay,
.modal-container[data-modal-id='change-map'] .overlay,
.modal-container[data-modal-id='marketing'] .overlay,
.modal-container[data-modal-id='signup-signin'] .overlay {
    display: flex;
}

/* */
/* SECTION: Modal */
/* */

.modal-container .modal {
    background: var(--white);
    border: solid 1px var(--gray-400);
    border-radius: var(--radius-100);
    max-height: calc(100vh - 4.5em);
    margin-top: 4.5em;
    display: none;
    flex-direction: column;
    box-shadow: var(--shadow);
    overflow: hidden;
    width: 35em;
}

/* */
/* SECTION: Header */
/* */

.modal-container .modal > .header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5em;
    padding: 1em 1em 0 1em;
    flex-shrink: 0;
    width: 100%;
}

.modal-container .header span.material-symbols-outlined {
    font-size: var(--icon-400);
    color: var(--black);
}

.modal-container [data-action='close-modal'] span.material-symbols-outlined {
    font-size: var(--icon-200);
}

.modal-container .modal > .header > span.text {
    font-size: var(--font-huge);
    font-weight: var(--font-black);
    color: var(--black);
    margin-right: auto;
}

.modal-container[data-modal-id='account'] .modal[data-modal-id='account'],
.modal-container[data-modal-id='beta'] .modal[data-modal-id='beta'],
.modal-container[data-modal-id='flows'] .modal[data-modal-id='flows'],
.modal-container[data-modal-id='start-map'] .modal[data-modal-id='start-map'],
.modal-container[data-modal-id='change-map'] .modal[data-modal-id='change-map'],
.modal-container[data-modal-id='marketing'] .modal[data-modal-id='marketing'],
.modal-container[data-modal-id='signup-signin'] .modal[data-modal-id='signup-signin'] {
    display: flex;
}

/* */
/* SECTION: Content */
/* */

.modal-container .modal > .content {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    padding: 1em;
    overflow-y: auto;
}

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Create maps */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

.modal-container[data-modal-id='start-map'] .content {
    gap: 0.5em;
}

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Change map */
/* ───────────────────────────────────── */
/* ───────────────────────────────────── */

.modal-container[data-modal-id='change-map'] .content .clone {
    gap: 0.5em;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    margin-bottom: 0.5em;
}

.modal-container[data-modal-id='change-map'] .content .clone button.rectangle {
    flex: 1;
    justify-content: space-between;
}

.modal-container[data-modal-id='change-map'] .content label {
    padding-bottom: 0.25em;
}

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Flows */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

.modal-container[data-modal-id='flows'] .content {
    gap: 0.5em;
}

.modal-container[data-modal-id='flows'] .select button.trigger {
    padding: 0.5em;
}

/* .modal-container[data-modal-id='flows'] .content label {
    padding-left: 0.625em;
} */

/* .modal-container[data-modal-id='flows'] .stakeholder-names {
    align-items: center;
    display: flex;
    flex-direction: row;
    gap: 1em;
    margin-left: 0.5em;
    background-color: var(--gray-050);
    border-radius: 0.5em;
}

.modal-container[data-modal-id='flows'] .stakeholder-names span.text {
    font-variation-settings: var(--weight-semibold);
    padding: 0.5em;
} */

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Sign up and sign in */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

.modal-container[data-modal-id='signup-signin'] .modal {
    align-self: center;
    margin-top: 0;
}

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Marketing */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

.modal-container[data-modal-id='marketing'] .modal {
    width: 50em;
    border-radius: var(--radius-200) var(--radius-200) 0 0;
    color: var(--white);
    background-color: var(--blue-400);
    height: calc(100vh - 4.5em);
    overflow-y: auto;
}

.modal-container[data-modal-id='marketing'] .modal > .header {
    padding: 2.5em;
    flex: 0 0 auto;
}

.modal-container[data-modal-id='marketing'] .modal > .header,
.modal-container[data-modal-id='marketing'] .modal > .content {
    background-color: var(--blue-400);
    border-bottom: none;
}

.modal-container[data-modal-id='marketing'] .modal .header img {
    height: 3em;
    width: 3em;
}

.modal-container[data-modal-id='marketing'] .modal .header span.text {
    font-size: var(--font-400);
}

.modal-container[data-modal-id='marketing'] .modal h1,
.modal-container[data-modal-id='marketing'] .modal h2,
.modal-container[data-modal-id='marketing'] .modal h3,
.modal-container[data-modal-id='marketing'] .modal h4,
.modal-container[data-modal-id='marketing'] .modal p,
.modal-container[data-modal-id='marketing'] .modal span.text,
.modal-container[data-modal-id='marketing'] .modal span.material-symbols-outlined {
    color: var(--white);
    text-align: center;
}

.modal-container[data-modal-id='marketing'] .content {
    gap: 0.5em;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 0 2.5em 0;
    min-height: 0;
    flex: 1 1 auto;
    overflow: visible;
}

.modal-container[data-modal-id='marketing'] h1 {
    font-size: 3em;
    font-variation-settings: var(--weight-black);
    text-align: center;
    margin-bottom: 0.5em;
}

.modal-container[data-modal-id='marketing'] h2 {
    font-size: 1.5em;
    text-align: center;
}

.modal-container[data-modal-id='marketing'] h3 {
    font-size: 1.1em;
    font-variation-settings: var(--weight-bold);
}

.modal-container[data-modal-id='marketing'] .grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2em;
    padding: 2.5em;
}

@media (max-width: 768px) {
    .modal-container[data-modal-id='marketing'] .grid {
        grid-template-columns: 1fr;
    }
}

.modal-container[data-modal-id='marketing'] .grid .cell {
    border: solid 1px var(--blue-100);
    gap: 0.5em;
    padding: 1em;
    border-radius: var(--radius-small);
    justify-content: flex-end;
}

.modal-container[data-modal-id='marketing'] .grid .cell p,
.modal-container[data-modal-id='marketing'] .grid .cell h3 {
    text-align: left;
    width: 100%;
}

.modal-container[data-modal-id='marketing'] .grid .cell:has(img) {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.modal-container[data-modal-id='marketing'] .modal .grid .cell .screenshot {
    display: block;
    margin: 0.5em 0;
    border-radius: var(--radius-200);
    justify-self: flex-end;
    overflow: hidden;
}

.modal-container[data-modal-id='marketing'] .modal .grid .cell .screenshot img {
    display: block;
    object-fit: contain;
    max-width: 20em;
}

.modal-container[data-modal-id='marketing'] .ripple-dot {
    color: var(--blue-200);
    width: 1em;
    height: 1em;
    border-radius: 999px;
    margin-right: 0.5em;
    background: var(--blue-200);
    display: inline-block;
    position: relative;
}

.modal-container[data-modal-id='marketing'] .ripple-dot::after {
    content: '';
    position: absolute;
    inset: -2px; /* start close to dot */
    border-radius: 999px;
    border: 2px solid rgba(0, 82, 204, 0.55);
    animation: ripple 1.2s ease-out infinite;
}

@keyframes ripple {
    0% {
        transform: scale(1);
        opacity: 0.8;
        filter: blur(0px);
    }
    100% {
        transform: scale(2.5);
        opacity: 0;
        filter: blur(1px);
    }
}

.modal-container[data-modal-id='marketing'] .stakeholder-marquee {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.modal-container[data-modal-id='marketing'] .stakeholder-marquee .row {
    position: relative;
    overflow: hidden;
    width: 100%;
    display: flex;
}

.modal-container[data-modal-id='marketing'] .stakeholder-marquee .track {
    display: flex;
    white-space: nowrap;
    width: max-content;
}

/* Pills */
.modal-container[data-modal-id='marketing'] .stakeholder-marquee .pill {
    padding: 0.4em 0.9em;
    border-radius: 999px;
    font-size: 1.25em;
    background-color: var(--blue-200);
    /* filter: contrast(calc(2 / 3)) brightness(1); */
    color: var(--white);
    border: 1px solid var(--gray-100);
    flex-shrink: 0;
    margin-right: 0.75em;
}

.modal-container[data-modal-id='marketing'] .stakeholder-marquee .pill:last-child {
    margin-right: 0;
}

/* Animations */
.modal-container[data-modal-id='marketing'] .stakeholder-marquee .row.left .track {
    animation: scroll-left 40s linear infinite;
}

.modal-container[data-modal-id='marketing'] .stakeholder-marquee .row.right .track {
    animation: scroll-right 40s linear infinite;
}

@keyframes scroll-left {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(calc(-100% / 3));
    }
}

@keyframes scroll-right {
    from {
        transform: translateX(calc(-100% / 3));
    }
    to {
        transform: translateX(0);
    }
}

.modal-container[data-modal-id='marketing'] .modal .content .hero {
    padding: 2.5em;
    display: flex;
    flex-direction: column;
}

.modal-container[data-modal-id='marketing'] .modal .content .footer {
    font-size: var(--font-100);
    color: var(--gray-100);
}

.modal-container[data-modal-id='marketing'] .modal .content .footer a {
    color: var(--gray-100);
    padding-bottom: 2.5em;
}

.modal-container[data-modal-id='marketing'] .modal .content button.rectangle {
    border-radius: var(--radius-400);
    padding: 1em;
}

.modal-container[data-modal-id='marketing'] .modal .content button.rectangle span.material-symbols-outlined,
.modal-container[data-modal-id='marketing'] .modal .content button.rectangle span.text {
    color: var(--blue-400);
}

.modal-container[data-modal-id='marketing'] .modal .content button.rectangle span.text {
    font-size: var(--font-400);
}

/* ─────────────────────────────────── */
/* ─────────────────────────────────── */
/* BLOCK: Account */
/* ─────────────────────────────────── */
/* ─────────────────────────────────── */

.modal-container[data-modal-id='account'] [data-bind='state.userSubscription'] {
    text-transform: capitalize;
}
